gRPC C#
gRPC C#
Namespaces
Grpc.Core
ClientBase Class
ClientBase Properties
Channel Property
HeaderInterceptor Property
Host Property

ClientBase HeaderInterceptor Property

Can be used to register a custom header (request metadata) interceptor. The interceptor is invoked each time a new call on this client is started.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public HeaderInterceptor HeaderInterceptor { get; set; }

    Public Property HeaderInterceptor As HeaderInterceptor
    	Get
    	Set

    public:
    property HeaderInterceptor^ HeaderInterceptor {
    	HeaderInterceptor^ get ();
    	void set (HeaderInterceptor^ value);
    }

    member HeaderInterceptor : HeaderInterceptor with get, set

#### Property Value

Type: HeaderInterceptor
See Also

#### Reference

ClientBase Class
Grpc.Core Namespace